%define ocamlpck  opus

Name:          ocaml-opus
Version:       0.2.2
Release:       2mamba
Summary:       OCaml bindings for Opus audio codec
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/savonet/ocaml-opus
Source:        https://github.com/savonet/ocaml-opus.git/v%{version}/ocaml-opus-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libopus-devel
BuildRequires: ocaml
BuildRequires: ocaml-ogg-devel
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml-ogg-devel >= 0.7.4
BuildRequires: ocaml >= 4.14.1
BuildRequires: dune
BuildRequires: ocaml-findlib

%description
%{summary}.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%exclude %{_libdir}/ocaml/%{ocamlpck}/decoder/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/decoder/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/decoder/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/decoder/*.mli
%{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%{_libdir}/ocaml/%{ocamlpck}/decoder/*.a
%{_libdir}/ocaml/%{ocamlpck}/decoder/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/decoder/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/decoder/*.mli
%doc CHANGES* README.md

%changelog
* Tue Jul 18 2023 Sdk Build System <sdk@mambasoft.it> 0.2.2-2mamba
- rebuilt with ocaml-ogg 0.7.4

* Fri Jul 07 2023 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Fri Jul 07 2023 Sdk Build System <sdk@mambasoft.it> 0.2.1-2mamba
- rebuilt with ocaml 4.14.1

* Mon Feb 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- package created using the webbuild interface
